image: ruby:2.3

before_script:
  - apt-get update -qq && apt-get install -y -qq libbluetooth-dev cmake valgrind qt4-default qtbase5-dev qt5-qmake qtbase5-dev-tools
  - ln -s /usr/lib/x86_64-linux-gnu/qt5/bin/qmake /bin/qmake-qt5 # QT hack

stages:
  - build
  - test

build_job:
  stage: build
  script:
    - bash ci-build.sh

# run tests using the binary built before
test_job:
  stage: test
  script:
    - bash ci-test.sh
